com.trilead.ssh2

## Class ConnectionInfo

- java.lang.Object
- - com.trilead.ssh2.ConnectionInfo

    public class ConnectionInfo
    extends java.lang.Object

In most cases you probably do not need the information contained in here.

### Field Summary

Fields
`java.lang.String` `clientToServerCryptoAlgorithm` The currently used crypto algorithm for packets from to the client to the server.
`java.lang.String` `clientToServerMACAlgorithm` The currently used MAC algorithm for packets from to the client to the server.
`java.lang.String` `keyExchangeAlgorithm` The used key exchange (KEX) algorithm in the latest key exchange.
`int` `keyExchangeCounter` Number of kex exchanges performed on this connection so far.
`byte[]` `serverHostKey` The server host key that was sent during the latest key exchange.
`java.lang.String` `serverHostKeyAlgorithm` The type of the server host key (currently either "ssh-dss" or "ssh-rsa").
`java.lang.String` `serverToClientCryptoAlgorithm` The currently used crypto algorithm for packets from to the server to the client.
`java.lang.String` `serverToClientMACAlgorithm` The currently used MAC algorithm for packets from to the server to the client.

### Constructor Summary

Constructors
Constructor and Description
`ConnectionInfo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### keyExchangeAlgorithm

    public java.lang.String keyExchangeAlgorithm

The used key exchange (KEX) algorithm in the latest key exchange.

#### clientToServerCryptoAlgorithm

    public java.lang.String clientToServerCryptoAlgorithm

The currently used crypto algorithm for packets from to the client to the server.

#### serverToClientCryptoAlgorithm

    public java.lang.String serverToClientCryptoAlgorithm

The currently used crypto algorithm for packets from to the server to the client.

#### clientToServerMACAlgorithm

    public java.lang.String clientToServerMACAlgorithm

The currently used MAC algorithm for packets from to the client to the server.

#### serverToClientMACAlgorithm

    public java.lang.String serverToClientMACAlgorithm

The currently used MAC algorithm for packets from to the server to the client.

#### serverHostKeyAlgorithm

    public java.lang.String serverHostKeyAlgorithm

The type of the server host key (currently either "ssh-dss" or "ssh-rsa").

#### serverHostKey

    public byte[] serverHostKey

The server host key that was sent during the latest key exchange.

#### keyExchangeCounter

    public int keyExchangeCounter

Number of kex exchanges performed on this connection so far.

### Constructor Detail

#### ConnectionInfo

    public ConnectionInfo()